#
# spec file for package gfcc (Version 0.7.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gfcc
Copyright:    GPL
Group:        Networking/Utilities
Provides:     gfcc 
Requires:     ipchains
Autoreqprov:  on
Version:      0.7.1
Release:      316
Summary:      GUI-frontend for ipchains
Source:       gfcc-0.7.1.tar.gz
Patch:        gfcc-0.7.1.dif

%description
(GTK+ Firewall Control Center) is a GTK+ application which can control Linux
packetfilter policies and rules, based on the ipchains package.

Authors:
--------
    icarus@autostock.co.kr

SuSE series: sec

%prep
%setup -n gfcc-0.7.1
%patch
# --------------------------------------------------------------------------
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f gfcc-0.7.1}}

%build
tar xzf libipfwc.tar.gz
cd libipfwc
make
cd ..
./configure --prefix=/usr/ --with-ipfwc=./libipfwc
make clean
make
# -------------------------------------------------------------------------

%install
make install
#export RPM_BUILD_ROOT ; test -x /usr/sbin/Check -a $UID = 0 && /usr/sbin/Check

%files
/usr/bin/gfcc
/usr/share/gfcc/gtkrc
/usr/share/gfcc/host_networks
/usr/share/gfcc/rules/masquerade.rule
/usr/share/gfcc/rules/ppp-masquerade.rule
/usr/share/gfcc/rules/routable.rule
/usr/share/gfcc/rules/standalone.rule
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.ko TODO texinfo.tex 

%changelog -n gfcc
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Tue Sep 14 1999 - jnschei@suse.de
- Changes in 0.7.1: jnschei@suse.de
  Tooltips in Edit Rule window.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sun Jul 11 1999 - mha@suse.de
- new package: GTK-gui for ipchains
